Bug 811506 - calls accepted automatically without asking
calls accepted automatically without asking
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ktp-approver (Show other bugs)
17
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Jaroslav Reznik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-11 05:47 EDT by Karel Volný
Modified: 2012-08-13 08:42 EDT (History)
3 users (show)

See Also:
Fixed In Version: ktp-approver-0.4.0-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-23 05:34:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Volný 2012-04-11 05:47:39 EDT
Description of problem:
If someone calls me on jabber, the call gets accepted without ringing at first & asking for allowance to connect the call.
Rating as highest severity, as this is privacy/security breach - someone can hear/watch the user without noticing.

Version-Release number of selected component (if applicable):
ktp-approver-0.3.1-1.fc17.x86_64

How reproducible:
always

Steps to Reproduce:
1. configure a jabber account
2. be online in ktp-contacts
3. let someone call you
  
Actual results:
empathy av interface is opened and the caller can hear/see you

Expected results:
the computer starts to ring, you are notified about incoming call, then only *after* accepting the call the av interface is opened and you can talk to the caller

Additional info:
Comment 1 Martin Klapetek 2012-07-23 05:34:29 EDT
The 0.3 version didn't have any support for calls, so it's quite expected to misbehave. The approver from the recently released 0.4 version was adjusted to handle calls as well, so it should all work now.

As for Empathy opening up - our approver wasn't meant to handle calls back then, so it was handled by Empathy instead (the beauty of Telepathy design ;).

Please reopen this if you still have issues with accepting calls, thanks.
Comment 2 Karel Volný 2012-08-13 08:42:21 EDT
this seems to work now with 0.4.1, thanks

Note You need to log in before you can comment on or make changes to this bug.